aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNicolas Vigier <boklm@mageia.org>2011-03-23 20:10:40 +0000
committerNicolas Vigier <boklm@mageia.org>2011-03-23 20:10:40 +0000
commitbf30d900ba2b09f12ca38871f31475ef21934850 (patch)
tree5c80dd772e820a26394e351fcddf2afe2fd76e78
parentc4ff82b34b0682f3b876d0d520f502171d395f5d (diff)
downloadrpm-setup-bf30d900ba2b09f12ca38871f31475ef21934850.tar
rpm-setup-bf30d900ba2b09f12ca38871f31475ef21934850.tar.gz
rpm-setup-bf30d900ba2b09f12ca38871f31475ef21934850.tar.bz2
rpm-setup-bf30d900ba2b09f12ca38871f31475ef21934850.tar.xz
rpm-setup-bf30d900ba2b09f12ca38871f31475ef21934850.zip
fix check of pkg-config error
-rwxr-xr-xpkgconfigdeps.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/pkgconfigdeps.sh b/pkgconfigdeps.sh
index f9fb1e5..e5d2843 100755
--- a/pkgconfigdeps.sh
+++ b/pkgconfigdeps.sh
@@ -26,7 +26,7 @@ case $1 in
PKG_CONFIG_PATH=$PKG_CONFIG_PATH $pkgconfig --print-provides $pcfiles 2> /dev/null | while read n r v ; do
# We have a dependency. Make a note that we need the pkgconfig
# tool for this package.
- test -z $v && echo "Error with pkgconfig($n)" >&2 && exit 1
+ test -z "$v" && test -n "$r" && echo "Error with pkgconfig($n)" >&2 && exit 1
echo "pkgconfig($n)" "$r" "$v"
done
test $? -ne 0 && exit 1
@@ -41,7 +41,7 @@ case $1 in
esac
done
PKG_CONFIG_PATH=$PKG_CONFIG_PATH $pkgconfig --print-requires ${pcfiles} 2> /dev/null | while read n r v ; do
- test -z $v && echo "Error with pkgconfig($n)" >&2 && exit 1
+ test -z "$v" && test -n "$r" && echo "Error with pkgconfig($n)" >&2 && exit 1
echo "pkgconfig($n)" "$r" "$v"
done
test $? -ne 0 && exit 1